Subject: bug#11003: Emacs-24 Hangs When Displaying Unicode #x6c0 (ARABIC HEH WITH YEH ABOVE) -- gdb backtrace

From: Mohsen BANAN <[email-masked]>
Date: Tue, 13 Mar 2012 12:50:04 -0700

>>>>> On Tue, 13 Mar 2012 07:44:20 +0100, Achim Gratz <[email-masked]> said:

  Mohsen> The display hangs but the emacs process stays
  Mohsen> alive.

  Achim> I would very much suspect this is a font problem.

I agree. 

This is very likely a font problem.

But the font problem results into emacs display hanging.

We should not accept that. Right?

And the backtrace shows that it happens deep in
the bowels of libotf and libm17n-flt.

I am not all that good with fonts.

Can someone please teach me how I can determine
which font is found for char #x6c0 in my
environment?

When on emacs23 (same env as my emacs24) describe-char produces:
     xft:-unknown-B Compset-normal-normal-normal-*-13-*-*-*-*-0-iso10646-1 (#xC7)

What does that really mean and what should I look
into next to isolate the front problem?

Thanks.

...Mohsen